/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2015-2020 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.antdesignicons;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum AntDesignIconsFilled implements Ikon {
    ACCOUNT_BOOK("antf-account-book", '\ue900'),
    ALERT("antf-alert", '\ue901'),
    ALIPAY_CIRCLE("antf-alipay-circle", '\ue902'),
    ALIPAY_SQUARE("antf-alipay-square", '\ue903'),
    ALIWANGWANG("antf-aliwangwang", '\ue904'),
    AMAZON_CIRCLE("antf-amazon-circle", '\ue905'),
    AMAZON_SQUARE("antf-amazon-square", '\ue906'),
    ANDROID("antf-android", '\ue907'),
    API("antf-api", '\ue908'),
    APPLE("antf-apple", '\ue909'),
    APPSTORE("antf-appstore", '\ue90a'),
    AUDIO("antf-audio", '\ue90b'),
    BACKWARD("antf-backward", '\ue90c'),
    BANK("antf-bank", '\ue90d'),
    BEHANCE_CIRCLE("antf-behance-circle", '\ue90e'),
    BEHANCE_SQUARE("antf-behance-square", '\ue90f'),
    BELL("antf-bell", '\ue910'),
    BOOK("antf-book", '\ue911'),
    BOX_PLOT("antf-box-plot", '\ue912'),
    BUG("antf-bug", '\ue913'),
    BUILD("antf-build", '\ue914'),
    BULB("antf-bulb", '\ue915'),
    CALCULATOR("antf-calculator", '\ue916'),
    CALENDAR("antf-calendar", '\ue917'),
    CAMERA("antf-camera", '\ue918'),
    CAR("antf-car", '\ue919'),
    CARET_DOWN("antf-caret-down", '\ue91a'),
    CARET_LEFT("antf-caret-left", '\ue91b'),
    CARET_RIGHT("antf-caret-right", '\ue91c'),
    CARET_UP("antf-caret-up", '\ue91d'),
    CARRY_OUT("antf-carry-out", '\ue91e'),
    CHECK_CIRCLE("antf-check-circle", '\ue91f'),
    CHECK_SQUARE("antf-check-square", '\ue920'),
    CHROME("antf-chrome", '\ue921'),
    CI_CIRCLE("antf-ci-circle", '\ue922'),
    CLOCK_CIRCLE("antf-clock-circle", '\ue923'),
    CLOSE_CIRCLE("antf-close-circle", '\ue924'),
    CLOSE_SQUARE("antf-close-square", '\ue925'),
    CLOUD("antf-cloud", '\ue926'),
    CODE("antf-code", '\ue929'),
    CODEPEN_CIRCLE("antf-codepen-circle", '\ue92a'),
    CODEPEN_SQUARE("antf-codepen-square", '\ue92b'),
    CODE_SANDBOX_CIRCLE("antf-code-sandbox-circle", '\ue927'),
    CODE_SANDBOX_SQUARE("antf-code-sandbox-square", '\ue928'),
    COMPASS("antf-compass", '\ue92c'),
    CONTACTS("antf-contacts", '\ue92d'),
    CONTAINER("antf-container", '\ue92e'),
    CONTROL("antf-control", '\ue92f'),
    COPY("antf-copy", '\ue930'),
    COPYRIGHT_CIRCLE("antf-copyright-circle", '\ue931'),
    CREDIT_CARD("antf-credit-card", '\ue932'),
    CROWN("antf-crown", '\ue933'),
    CUSTOMER_SERVICE("antf-customer-service", '\ue934'),
    DASHBOARD("antf-dashboard", '\ue935'),
    DATABASE("antf-database", '\ue936'),
    DELETE("antf-delete", '\ue937'),
    DIFF("antf-diff", '\ue938'),
    DINGTALK_CIRCLE("antf-dingtalk-circle", '\ue939'),
    DINGTALK_SQUARE("antf-dingtalk-square", '\ue93a'),
    DISLIKE("antf-dislike", '\ue93b'),
    DOLLAR_CIRCLE("antf-dollar-circle", '\ue93c'),
    DOWN_CIRCLE("antf-down-circle", '\ue93d'),
    DOWN_SQUARE("antf-down-square", '\ue93e'),
    DRIBBBLE_CIRCLE("antf-dribbble-circle", '\ue93f'),
    DRIBBBLE_SQUARE("antf-dribbble-square", '\ue940'),
    DROPBOX_CIRCLE("antf-dropbox-circle", '\ue941'),
    DROPBOX_SQUARE("antf-dropbox-square", '\ue942'),
    EDIT("antf-edit", '\ue943'),
    ENVIRONMENT("antf-environment", '\ue944'),
    EURO_CIRCLE("antf-euro-circle", '\ue945'),
    EXCLAMATION_CIRCLE("antf-exclamation-circle", '\ue946'),
    EXPERIMENT("antf-experiment", '\ue947'),
    EYE("antf-eye", '\ue949'),
    EYE_INVISIBLE("antf-eye-invisible", '\ue948'),
    FACEBOOK("antf-facebook", '\ue94a'),
    FAST_BACKWARD("antf-fast-backward", '\ue94b'),
    FAST_FORWARD("antf-fast-forward", '\ue94c'),
    FILE("antf-file", '\ue958'),
    FILE_ADD("antf-file-add", '\ue94d'),
    FILE_EXCEL("antf-file-excel", '\ue94e'),
    FILE_EXCLAMATION("antf-file-exclamation", '\ue94f'),
    FILE_IMAGE("antf-file-image", '\ue950'),
    FILE_MARKDOWN("antf-file-markdown", '\ue951'),
    FILE_PDF("antf-file-pdf", '\ue952'),
    FILE_PPT("antf-file-ppt", '\ue953'),
    FILE_TEXT("antf-file-text", '\ue954'),
    FILE_UNKNOWN("antf-file-unknown", '\ue955'),
    FILE_WORD("antf-file-word", '\ue956'),
    FILE_ZIP("antf-file-zip", '\ue957'),
    FILTER("antf-filter", '\ue959'),
    FIRE("antf-fire", '\ue95a'),
    FLAG("antf-flag", '\ue95b'),
    FOLDER("antf-folder", '\ue95e'),
    FOLDER_ADD("antf-folder-add", '\ue95c'),
    FOLDER_OPEN("antf-folder-open", '\ue95d'),
    FORMAT_PAINTER("antf-format-painter", '\ue95f'),
    FORWARD("antf-forward", '\ue960'),
    FROWN("antf-frown", '\ue961'),
    FUND("antf-fund", '\ue962'),
    FUNNEL_PLOT("antf-funnel-plot", '\ue963'),
    GIFT("antf-gift", '\ue964'),
    GITHUB("antf-github", '\ue965'),
    GITLAB("antf-gitlab", '\ue966'),
    GOLD("antf-gold", '\ue967'),
    GOLDEN("antf-golden", '\ue968'),
    GOOGLE_CIRCLE("antf-google-circle", '\ue969'),
    GOOGLE_PLUS_CIRCLE("antf-google-plus-circle", '\ue96a'),
    GOOGLE_PLUS_SQUARE("antf-google-plus-square", '\ue96b'),
    GOOGLE_SQUARE("antf-google-square", '\ue96c'),
    HDD("antf-hdd", '\ue96d'),
    HEART("antf-heart", '\ue96e'),
    HIGHLIGHT("antf-highlight", '\ue96f'),
    HOME("antf-home", '\ue970'),
    HOURGLASS("antf-hourglass", '\ue971'),
    HTML5("antf-html5", '\ue972'),
    IDCARD("antf-idcard", '\ue973'),
    IE_CIRCLE("antf-ie-circle", '\ue974'),
    IE_SQUARE("antf-ie-square", '\ue975'),
    INFO_CIRCLE("antf-info-circle", '\ue976'),
    INSTAGRAM("antf-instagram", '\ue977'),
    INSURANCE("antf-insurance", '\ue978'),
    INTERACTION("antf-interaction", '\ue979'),
    LAYOUT("antf-layout", '\ue97a'),
    LEFT_CIRCLE("antf-left-circle", '\ue97b'),
    LEFT_SQUARE("antf-left-square", '\ue97c'),
    LIKE("antf-like", '\ue97d'),
    LINKEDIN("antf-linkedin", '\ue97e'),
    LOCK("antf-lock", '\ue97f'),
    MAC_COMMAND("antf-mac-command", '\ue980'),
    MAIL("antf-mail", '\ue981'),
    MEDICINE_BOX("antf-medicine-box", '\ue982'),
    MEDIUM_CIRCLE("antf-medium-circle", '\ue983'),
    MEDIUM_SQUARE("antf-medium-square", '\ue984'),
    MEH("antf-meh", '\ue985'),
    MESSAGE("antf-message", '\ue986'),
    MINUS_CIRCLE("antf-minus-circle", '\ue987'),
    MINUS_SQUARE("antf-minus-square", '\ue988'),
    MOBILE("antf-mobile", '\ue989'),
    MONEY_COLLECT("antf-money-collect", '\ue98a'),
    NOTIFICATION("antf-notification", '\ue98b'),
    PAUSE_CIRCLE("antf-pause-circle", '\ue98c'),
    PAY_CIRCLE("antf-pay-circle", '\ue98d'),
    PHONE("antf-phone", '\ue98e'),
    PICTURE("antf-picture", '\ue98f'),
    PIE_CHART("antf-pie-chart", '\ue990'),
    PLAY_CIRCLE("antf-play-circle", '\ue991'),
    PLAY_SQUARE("antf-play-square", '\ue992'),
    PLUS_CIRCLE("antf-plus-circle", '\ue993'),
    PLUS_SQUARE("antf-plus-square", '\ue994'),
    POUND_CIRCLE("antf-pound-circle", '\ue995'),
    PRINTER("antf-printer", '\ue996'),
    PROFILE("antf-profile", '\ue997'),
    PROJECT("antf-project", '\ue998'),
    PROPERTY_SAFETY("antf-property-safety", '\ue999'),
    PUSHPIN("antf-pushpin", '\ue99a'),
    QQ_CIRCLE("antf-qq-circle", '\ue99b'),
    QQ_SQUARE("antf-qq-square", '\ue99c'),
    QUESTION_CIRCLE("antf-question-circle", '\ue99d'),
    READ("antf-read", '\ue99e'),
    RECONCILIATION("antf-reconciliation", '\ue99f'),
    REDDIT_CIRCLE("antf-reddit-circle", '\ue9a1'),
    REDDIT_SQUARE("antf-reddit-square", '\ue9a2'),
    RED_ENVELOPE("antf-red-envelope", '\ue9a0'),
    REST("antf-rest", '\ue9a3'),
    RIGHT_CIRCLE("antf-right-circle", '\ue9a4'),
    RIGHT_SQUARE("antf-right-square", '\ue9a5'),
    ROBOT("antf-robot", '\ue9a6'),
    ROCKET("antf-rocket", '\ue9a7'),
    SAFETY_CERTIFICATE("antf-safety-certificate", '\ue9a8'),
    SAVE("antf-save", '\ue9a9'),
    SCHEDULE("antf-schedule", '\ue9aa'),
    SECURITY_SCAN("antf-security-scan", '\ue9ab'),
    SETTING("antf-setting", '\ue9ac'),
    SHOP("antf-shop", '\ue9ad'),
    SHOPPING("antf-shopping", '\ue9ae'),
    SIGNAL("antf-signal", '\ue9af'),
    SKETCH_CIRCLE("antf-sketch-circle", '\ue9b0'),
    SKETCH_SQUARE("antf-sketch-square", '\ue9b1'),
    SKIN("antf-skin", '\ue9b2'),
    SKYPE("antf-skype", '\ue9b3'),
    SLACK_CIRCLE("antf-slack-circle", '\ue9b4'),
    SLACK_SQUARE("antf-slack-square", '\ue9b5'),
    SLIDERS("antf-sliders", '\ue9b6'),
    SMILE("antf-smile", '\ue9b7'),
    SNIPPETS("antf-snippets", '\ue9b8'),
    SOUND("antf-sound", '\ue9b9'),
    STAR("antf-star", '\ue9ba'),
    STEP_BACKWARD("antf-step-backward", '\ue9bb'),
    STEP_FORWARD("antf-step-forward", '\ue9bc'),
    STOP("antf-stop", '\ue9bd'),
    SWITCHER("antf-switcher", '\ue9be'),
    TABLET("antf-tablet", '\ue9bf'),
    TAG("antf-tag", '\ue9c0'),
    TAGS("antf-tags", '\ue9c1'),
    TAOBAO_CIRCLE("antf-taobao-circle", '\ue9c2'),
    TAOBAO_SQUARE("antf-taobao-square", '\ue9c3'),
    THUNDERBOLT("antf-thunderbolt", '\ue9c4'),
    TOOL("antf-tool", '\ue9c5'),
    TRADEMARK_CIRCLE("antf-trademark-circle", '\ue9c6'),
    TROPHY("antf-trophy", '\ue9c7'),
    TWITTER_CIRCLE("antf-twitter-circle", '\ue9c8'),
    TWITTER_SQUARE("antf-twitter-square", '\ue9c9'),
    UNLOCK("antf-unlock", '\ue9ca'),
    UP_CIRCLE("antf-up-circle", '\ue9cb'),
    UP_SQUARE("antf-up-square", '\ue9cc'),
    USB("antf-usb", '\ue9cd'),
    VIDEO_CAMERA("antf-video-camera", '\ue9ce'),
    WALLET("antf-wallet", '\ue9cf'),
    WARNING("antf-warning", '\ue9d0'),
    WECHAT("antf-wechat", '\ue9d1'),
    WEIBO_CIRCLE("antf-weibo-circle", '\ue9d2'),
    WEIBO_SQUARE("antf-weibo-square", '\ue9d3'),
    WINDOWS("antf-windows", '\ue9d4'),
    YAHOO("antf-yahoo", '\ue9d5'),
    YOUTUBE("antf-youtube", '\ue9d6'),
    YUQUE("antf-yuque", '\ue9d7'),
    ZHIHU_CIRCLE("antf-zhihu-circle", '\ue9d8'),
    ZHIHU_SQUARE("antf-zhihu-square", '\ue9d9');
    
    public static AntDesignIconsFilled findByDescription(String description) {
        for (AntDesignIconsFilled font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private int code;

    AntDesignIconsFilled(String description, int code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public int getCode() {
        return code;
    }
}